kmem_cache_destroy
Prev | The Slab Cache | Next

## Name

kmem_cache_destroy — delete a cache

## Synopsis

`void kmem_cache_destroy (` | struct kmem_cache * | cachep`)`;

## Arguments

`cachep`

  the cache to destroy

## Description

Remove a &struct kmem_cache object from the slab cache.

It is expected this function will be called by a module when it is unloaded. This will remove the cache completely, and avoid a duplicate cache being allocated each time a module is loaded and unloaded, if the module doesn't have persistent in-kernel storage across loads and unloads.

The cache must be empty before calling this function.

The caller must guarantee that noone will allocate memory from the cache during the `kmem_cache_destroy`.

Prev | Up | Next
kmem_cache_shrink | Home | kmem_cache_alloc